Page MenuHomePhabricator

Configure Phabricator for our needs
Closed, InvalidPublic

Description

We have plenty of tasks relating to the migration from our current tools. This umbrella task aims to list how we need to configure Phabricator for our needs independently of the migration (i.e. auth providers, tools to enable/disable, etc.).

Details

Reference
fl59
ReferenceSource BranchDest BranchAuthorTitle
repos/abstract-wiki/wikifunctions/function-evaluator!200grace/T347901/fix-benchmark-testsmainecargTurn benchmark tests back on and use new Avro version
repos/cloud/toolforge/jobs-api!71support_servicesmainraymond-ndibe[jobs-api] support services in jobs
repos/cloud/toolforge/jobs-cli!18add_servicemainraymond-ndibe[jobs-cli] support services in jobs
repos/security/gitlab-ci-security-templates-stats!1T342467-gitlab-security-ci-templates-stats-creationmainsbassettInitial creation of gitlab security ci templates stats tool
repos/sre/miscweb/wikiworkshop!14add-ray-btnmasterdaniRefactor styles & improve CTA link/button
repos/abstract-wiki/wikifunctions/function-schemata!103apine-normalize-importmainapineDraft: Remove require() from es6UtilsModule; change file extension to .mjs.
repos/abstract-wiki/wikifunctions/function-evaluator!192apine-use-utilsmainapineDraft: Use functions from shared utils rather than re-implementing.
repos/abstract-wiki/wikifunctions/function-evaluator!191apine-package-lockmainapineUpdate package-lock with moved function-schemata dependencies.
repos/abstract-wiki/wikifunctions/function-evaluator!187apine-move-function-schematamainapineMove function-schemata to javascript-wasmedge subdir.
repos/security/wikimedia-code-health-check!37deployed-extensionsmainmstylesExtensions in WMF production
repos/security/gitlab-ci-security-templates!33Shell-script-templatemainmmartoranaAdds Shell Script Security Checks via Shellcheck tool
repos/sre/miscweb/wikiworkshop!13hugo-cimasterdaniSet build stage in blubber pipeline
repos/sre/miscweb/wikiworkshop!12kinneretmasterdaniAdd "Call for hall" subpage
repos/structured-data/section-topics!31T341113mainmfossatiRemove reference tags from section headings
repos/structured-data/section-image-recs!12T341113mainmfossatiRemove reference tags from section headings
repos/sre/miscweb/wikiworkshop!11design-improvementsmasterdaniMake design improvements
repos/abstract-wiki/wikifunctions/wikilambda-cli!33sync-function-schematamainjforresterUpdate function-schemata sub-module to HEAD (97ea4cd)
repos/abstract-wiki/wikifunctions/function-orchestrator!142sync-function-schematamainjforresterUpdate function-schemata sub-module to HEAD (97ea4cd)
repos/abstract-wiki/wikifunctions/function-evaluator!179sync-function-schematamainjforresterUpdate function-schemata sub-module to HEAD (97ea4cd)
repos/sre/miscweb/wikiworkshop!10setup-hugomasterdaniSet up static site generator
Show related patches Customize query in GitLab

Related Objects

StatusSubtypeAssignedTask
Invalid chasemp
DeclinedDzahn
ResolvedQgil
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedQgil
Resolved chasemp
ResolvedQgil
ResolvedQgil
ResolvedQgil
InvalidNone
Resolved chasemp
ResolvedAklapper
Declined mmodell
DeclinedNone
Resolved mmodell
Declinedgreg
Invalidgreg
DeclinedNone
ResolvedQgil
Invalid mmodell
Resolved chasemp
DeclinedAklapper
Resolved chasemp
ResolvedQgil
ResolvedAklapper
ResolvedQgil
Resolved chasemp

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:22 AM
flimport set Reference to fl59.

qgil wrote on 2014-05-01 05:17:33 (UTC)

I had added too many dependencies, considering that this task is about Phabricator configuration, not about missing features.

qgil wrote on 2014-05-01 06:04:21 (UTC)

I have removed Audit because we don't have post-deployment reviews. One label less.

demon wrote on 2014-05-01 17:45:04 (UTC)

I liked the idea of using Audit though :(

qgil wrote on 2014-05-01 19:11:23 (UTC)

Back. Sorry for the be-bolding. We start needing a place to discuss admin stuff. Or less admins (I'm happy to give away my permissions). :)

aklapper wrote on 2014-08-27 19:14:57 (UTC)

Now most of the #Wikimedia_Phabricator_Day_1 plus Wikimedia Phabricator Maintenance projects are about configuring Phab for our needs (whether that's settings or code or servers or whatever).
If the initial scope of this ticket was configuration settings, we derailed by adding requests which are not offered to be changed by Phab's configuration interface.

Furthermore, this tasks blocks T282 but many of its dependencies are nothing to ever look at for Day 1.

I personally don't see a big need to differentiate configuration requests from other setup or code requests.

qgil wrote on 2014-08-27 20:16:07 (UTC)

This task has been useful during the RfC and planning phase. Now more precise tasks and plans took over. This task is not valid anymore. Resolving.